Failed

run_tests.TestPrimitives_cvxopt.test_MarginModel (from run_tests.TestPrimitives_cvxopt-20200701145339)

Failing for the past 1 build (Since #43 )
Took 30 ms.

Error Message

DLL load failed: The specified module could not be found.

Stacktrace

Traceback (most recent call last):
  File "C:\Users\jenkins\workspace\CE_RM_robust_Push\cvxopt\robust\robust.py", line 459, in internalsolve
    return model.solve(verbosity=verbosity)
  File "c:\users\jenkins\workspace\ce_rm_robust_push\cvxopt\gpkit\gpkit\constraints\prog_factories.py", line 125, in solvefn
    self.program, progsolve = genfunction(self)
  File "c:\users\jenkins\workspace\ce_rm_robust_push\cvxopt\gpkit\gpkit\constraints\prog_factories.py", line 81, in programfn
    prog = program(self.cost, self, constants, **initargs)
  File "c:\users\jenkins\workspace\ce_rm_robust_push\cvxopt\gpkit\gpkit\constraints\gp.py", line 87, in __init__
    self.hmaps = [cost_hmap] + list(hmapgen)
  File "c:\users\jenkins\workspace\ce_rm_robust_push\cvxopt\gpkit\gpkit\constraints\set.py", line 165, in as_hmapslt1
    yield_if_hasattr="as_hmapslt1")))
  File "c:\users\jenkins\workspace\ce_rm_robust_push\cvxopt\gpkit\gpkit\constraints\set.py", line 164, in <genexpr>
    for c in flatiter(self,
  File "c:\users\jenkins\workspace\ce_rm_robust_push\cvxopt\gpkit\gpkit\nomials\math.py", line 600, in as_hmapslt1
    " SequentialGeometricProgram." % self)
gpkit.exceptions.InvalidGPConstraint: 1 + a*x^2 + 0.5*b*x*y >= a*b*x + a*b*y did not simplify to a PosynomialInequality; try calling `.localsolve` instead of `.solve` to form your Model as a SequentialGeometricProgram.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\jenkins\workspace\CE_RM_robust_Push\cvxopt\robust\testing\t_primitives.py", line 20, in test_MarginModel
    mm = MarginModel(m, gamma=0.5)
  File "c:\users\jenkins\workspace\ce_rm_robust_push\cvxopt\gpkit\gpkit\constraints\model.py", line 54, in __init__
    cs = self.setup(*args, **kwargs)  # pylint: disable=no-member
  File "C:\Users\jenkins\workspace\CE_RM_robust_Push\cvxopt\robust\margin.py", line 37, in setup
    self.nominal_solve = RobustModel.internalsolve(model, verbosity=0)
  File "C:\Users\jenkins\workspace\CE_RM_robust_Push\cvxopt\robust\robust.py", line 461, in internalsolve
    return model.localsolve(verbosity=verbosity)
  File "c:\users\jenkins\workspace\ce_rm_robust_push\cvxopt\gpkit\gpkit\constraints\prog_factories.py", line 126, in solvefn
    result = progsolve(solver, verbosity=verbosity, **solveargs)
  File "c:\users\jenkins\workspace\ce_rm_robust_push\cvxopt\gpkit\gpkit\constraints\sgp.py", line 158, in localsolve
    gen_result=False, **solveargs)
  File "c:\users\jenkins\workspace\ce_rm_robust_push\cvxopt\gpkit\gpkit\constraints\gp.py", line 181, in solve
    solvername, solverfn = _get_solver(solver, kwargs)
  File "c:\users\jenkins\workspace\ce_rm_robust_push\cvxopt\gpkit\gpkit\constraints\gp.py", line 38, in _get_solver
    from ..solvers.cvxopt import optimize
  File "c:\users\jenkins\workspace\ce_rm_robust_push\cvxopt\gpkit\gpkit\solvers\cvxopt.py", line 3, in <module>
    from cvxopt import spmatrix, matrix
  File "C:\Users\jenkins\workspace\CE_RM_robust_Push\cvxopt\venv_gpkit\lib\site-packages\cvxopt\__init__.py", line 50, in <module>
    import cvxopt.base
ImportError: DLL load failed: The specified module could not be found.
		

Standard Output

		

Standard Error